<?php

namespace addons\shopro\controller\third;

use addons\shopro\controller\Common;
use addons\shopro\service\third\apple\Apple as AppleService;

class Apple extends Common
{
    protected $noNeedLogin = ['login'];

    // 苹果登陆（仅对接App登录）
    public function login()
    {
        if (!$this->request->isPost()) {
            $this->error('');
        }
        $payload = $this->request->post('payload/a');

        $apple = new AppleService();
        $result = $apple->login($payload);

        if ($result) {
            $this->success('登录成功');
        }

        $this->error('登录失败');
    }
}
